@font-face {
    font-family: "Coda";
    src: url("./assets/fonts/coda/Coda-Regular.ttf") format("truetype");
    font-style: normal;
}

@font-face {
    font-family: "Orbitron";
    src: url("./assets/fonts/Orbitron/Orbitron-VariableFont_wght.ttf") format("truetype");
    font-style: normal;
}

html {
    scroll-padding-top: 80px;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100dvh;
    background: linear-gradient(180deg, #010016 30%, #1b0d29 60%, #010016 100%);
}

h1 {
    font-family: "Orbitron";
    font-size: clamp(40px, 5dvw, 64px);
    font-weight: 800;
    text-align: left;
    color: #00eaff;
    margin: 32px 0;

    background: linear-gradient(180deg, #3cf1ff, #00eafff5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

h2 {
    font-family: "Orbitron";
    font-size: clamp(32px, 5dvw, 50px);
    font-weight: 800;
    text-align: left;
    color: #00eaff;
    margin: 32px 0;

    background: linear-gradient(180deg, #3cf1ff, #00eafff5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

h3 {
    font-family: "Orbitron";
    font-size: clamp(32px, 5dvw, 40px);
    font-weight: 800;
    text-align: left;
    margin: 28px 0;
    color: #00eaff;
}

h4 {
    font-family: "Orbitron";
    font-size: clamp(26px, 4dvw, 32px);
    font-weight: 800;
    text-align: left;
    margin: 28px 0;
    color: #00eaff;
}

li {
    color: #d8d8e6;
    font-size: clamp(16px, 2dvw, 22px);
}

p {
    font-family: "Coda";
    font-size: clamp(16px, 2dvw, 22px);
    font-weight: 400;
    text-align: left;
    color: #d8d8e6;
    margin-bottom: 24px;
}

a {
    transition: color 0.2s ease;
    color: white;
}

a:hover {
    color: #ff9600;
}


section {
    margin-bottom: 100px;
}

header {
    display: flex;
    align-items: center;
    flex-direction: column;
    background: none;
    position: fixed;

    top: 0;
    left: 0;
    right: 0;

    backdrop-filter: blur(16px);
    background: rgba(1, 0, 22, 0.35);
    border-bottom: 1px solid rgba(0, 234, 255, 0.15);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);

    z-index: 100;

    div {
        display: flex;
        justify-content: space-between;
        padding: 10px 20px;

        .header-logo {
            width: 50px;
            height: 50px;
        }

        nav {
            display: flex;
            align-items: center;

            ul {
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 32px;

                a {
                    font-family: "coda";
                    color: white;
                    font-size: 18px;
                    text-transform: uppercase;
                }
            }
        }

        .burger {
            display: none;
        }
    }
}

footer {
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #ac00ff;
    background: linear-gradient(180deg, transparent, #1e002d);
    .footer-content-container {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 40px 60px;

        .footer-content {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: center;
            gap: 30px;

            p {
                font-size: clamp(16px, 2dvw, 20px);
                margin: 0;
                span {
                    font-size: 16px;
                }
                .footer-status-label {
                    color: rgba(255, 255, 255, 0.5);
                }
            }

            img {
                width: clamp(40px, 2dvw, 64px);
                height: auto;
            }
        }

        .footer-links {
            display: flex;
            gap: 24px;

            a {
                font-size: clamp(16px, 2dvw, 20px);
                color: white;
                text-transform: uppercase;
            }
            a:hover {
                color: #ff9600;
            }

            .red {
                color: #e50078;
            }
        }
    }

    .footer-copy {
        font-size: 16px;
        text-align: center;
        opacity: 0.6;
    }
}

/* tablet */
@media (max-width: 930px) {
    footer {
        .footer-content-container {
            padding: 40px 20px;
            .footer-content {
                p {
                    display: none;
                }
            }

            .footer-links {
                gap: 16px;
            }
        }
    }
}

/* mobile */
@media (max-width: 767px) {
    h1,
    h2,
    p {
        text-align: center;
    }

    header {
        div {
            nav {
                display: none;
            }
            .burger {
                display: flex;
            }
        }
    }

    footer {
        .footer-content-container {
            padding: 40px 20px;
            flex-direction: column;
            gap: 8px;
            .footer-links {
                gap: 16px;
            }
        }
    }
}

@media (max-width: 350px) {
    .footer-content-container {
        .footer-links {
            flex-direction: column;
            align-items: center;
        }
    }
}
